﻿using Microsoft.EntityFrameworkCore;
using TestConsoleApp;

MyDatabaseContext db = new MyDatabaseContext(new DbContextOptionsBuilder<MyDatabaseContext>().UseInMemoryDatabase("TEST").Options);

db.Persons.Add(new Person() {  FirstName = "Berend", LastName = "de Jong"});
db.SaveChanges();
db.Persons.ForEachAsync((person) => Console.WriteLine($"{person.Id}\t{person.FirstName}\t{person.LastName}"));

Console.ReadLine();